// https://learn.microsoft.com/en-us/openspecs/windows_protocols/ms-lcid/a9eac961-e77d-41a6-90a5-ce1a8b0cdb9c
// https://learn.microsoft.com/en-us/previous-versions/ms957130(v=msdn.10)
enum ENUM_LANGUAGEID
{
  ARA_Arabic__Saudi_Arabia                                      = 0x0401, // ARA Arabic Saudi Arabia
  ARI_Arabic__Iraq                                              = 0x0801, // ARI Arabic Iraq
  ARE_Arabic__Egypt                                             = 0x0c01, // ARE Arabic Egypt
  ARL_Arabic__Libya                                             = 0x1001, // ARL Arabic Libya
  ARG_Arabic__Algeria                                           = 0x1401, // ARG Arabic Algeria
  ARM_Arabic__Morocco                                           = 0x1801, // ARM Arabic Morocco
  ART_Arabic__Tunisia                                           = 0x1c01, // ART Arabic Tunisia
  ARO_Arabic__Oman                                              = 0x2001, // ARO Arabic Oman
  ARY_Arabic__Yemen                                             = 0x2401, // ARY Arabic Yemen
  ARS_Arabic__Syria                                             = 0x2801, // ARS Arabic Syria
  ARJ_Arabic__Jordan                                            = 0x2c01, // ARJ Arabic Jordan
  ARB_Arabic__Lebanon                                           = 0x3001, // ARB Arabic Lebanon
  ARK_Arabic__Kuwait                                            = 0x3401, // ARK Arabic Kuwait
  ARU_Arabic__UAE                                               = 0x3801, // ARU Arabic U.A.E.
  ARH_Arabic__Bahrain                                           = 0x3c01, // ARH Arabic Bahrain
  ARQ_Arabic__Qatar                                             = 0x4001, // ARQ Arabic Qatar
  BGR_Bulgarian__Bulgaria                                       = 0x0402, // BGR Bulgarian Bulgaria
  CAT_Catalan__Spain                                            = 0x0403, // CAT Catalan Spain
  CHT_Chinese__Taiwan                                           = 0x0404, // CHT Chinese Taiwan
  CHS_Chinese__PRC                                              = 0x0804, // CHS Chinese PRC
  ZHH_Chinese__Hong_Kong_SAR                                    = 0x0c04, // ZHH Chinese Hong Kong SAR
  ZHI_Chinese__Singapore                                        = 0x1004, // ZHI Chinese Singapore
  ZHM_Chinese__Macau_SAR                                        = 0x1404, // ZHM Chinese Macau SAR
  CSY_Czech__Czech_Republic                                     = 0x0405, // CSY Czech Czech Republic
  DAN_Danish__Denmark                                           = 0x0406, // DAN Danish Denmark
  GERMANY_German__Germany                                       = 0x0407, // GERMANY German Germany
  DES_German__Switzerland                                       = 0x0807, // DES German Switzerland
  DEA_German__Austria                                           = 0x0c07, // DEA German Austria
  DEL_German__Luxembourg                                        = 0x1007, // DEL German Luxembourg
  DEC_German__Liechtenstein                                     = 0x1407, // DEC German Liechtenstein
  ELL_Greek__Greece                                             = 0x0408, // ELL Greek Greece
  USA_English__United_States                                    = 0x0409, // USA English United States
  ENG_English__United_Kingdom                                   = 0x0809, // ENG English United Kingdom
  ENA_English__Australia                                        = 0x0c09, // ENA English Australia
  ENC_English__Canada                                           = 0x1009, // ENC English Canada
  ENZ_English__New_Zealand                                      = 0x1409, // ENZ English New Zealand
  ENI_English__Ireland                                          = 0x1809, // ENI English Ireland
  ENS_English__South_Africa                                     = 0x1c09, // ENS English South Africa
  ENJ_English__Jamaica                                          = 0x2009, // ENJ English Jamaica
  ENB_English__Caribbean                                        = 0x2409, // ENB English Caribbean
  ENL_English__Belize                                           = 0x2809, // ENL English Belize
  ENT_English__Trinidad                                         = 0x2c09, // ENT English Trinidad
  ENW_English__Zimbabwe                                         = 0x3009, // ENW English Zimbabwe
  ENP_English__Philippines                                      = 0x3409, // ENP English Philippines
  SPAIN_Spanish__Spain                                          = 0x040a, // SPAIN Spanish Spain
  ESM_Spanish__Mexico                                           = 0x080a, // ESM Spanish Mexico
  ESN_Spanish__Spain                                            = 0x0c0a, // ESN Spanish Spain (International Sort)
  ESG_Spanish__Guatemala                                        = 0x100a, // ESG Spanish Guatemala
  ESC_Spanish__Costa_Rica                                       = 0x140a, // ESC Spanish Costa Rica
  ESA_Spanish__Panama                                           = 0x180a, // ESA Spanish Panama
  ESD_Spanish__Dominican_Republic                               = 0x1c0a, // ESD Spanish Dominican Republic
  ESV_Spanish__Venezuela                                        = 0x200a, // ESV Spanish Venezuela
  ESO_Spanish__Colombia                                         = 0x240a, // ESO Spanish Colombia
  ESR_Spanish__Peru                                             = 0x280a, // ESR Spanish Peru
  ESS_Spanish__Argentina                                        = 0x2c0a, // ESS Spanish Argentina
  ESF_Spanish__Ecuador                                          = 0x300a, // ESF Spanish Ecuador
  ESL_Spanish__Chile                                            = 0x340a, // ESL Spanish Chile
  ESY_Spanish__Uruguay                                          = 0x380a, // ESY Spanish Uruguay
  ESZ_Spanish__Paraguay                                         = 0x3c0a, // ESZ Spanish Paraguay
  ESB_Spanish__Bolivia                                          = 0x400a, // ESB Spanish Bolivia
  ESE_Spanish__El_Salvador                                      = 0x440a, // ESE Spanish El Salvador
  ESH_Spanish__Honduras                                         = 0x480a, // ESH Spanish Honduras
  ESI_Spanish__Nicaragua                                        = 0x4c0a, // ESI Spanish Nicaragua
  ESU_Spanish__Puerto_Rico                                      = 0x500a, // ESU Spanish Puerto Rico
  FIN_Finnish__Finland                                          = 0x040b, // FIN Finnish Finland
  FRANCE_French__France                                         = 0x040c, // FRANCE French France
  FRB_French__Belgium                                           = 0x080c, // FRB French Belgium
  FRC_French__Canada                                            = 0x0c0c, // FRC French Canada
  FRS_French__Switzerland                                       = 0x100c, // FRS French Switzerland
  FRL_French__Luxembourg                                        = 0x140c, // FRL French Luxembourg
  FRM_French__Monaco                                            = 0x180c, // FRM French Monaco
  HEB_Hebrew__Israel                                            = 0x040d, // HEB Hebrew Israel
  HUN_Hungarian__Hungary                                        = 0x040e, // HUN Hungarian Hungary
  ISL_Icelandic__Iceland                                        = 0x040f, // ISL Icelandic Iceland
  ITALY_Italian__Italy                                          = 0x0410, // ITALY Italian Italy
  ITS_Italian__Switzerland                                      = 0x0810, // ITS Italian Switzerland
  JAPAN_Japanese__Japan                                         = 0x0411, // JAPAN Japanese Japan
  KOREA_Korean__Korea                                           = 0x0412, // KOREA Korean Korea
  NLD_Dutch__Netherlands                                        = 0x0413, // NLD Dutch Netherlands
  NLB_Dutch__Belgium                                            = 0x0813, // NLB Dutch Belgium
  NOR_Norwegian__Norway__Bokml                                  = 0x0414, // NOR Norwegian Norway (Bokml)
  NON_Norwegian__Norway__Nynorsk                                = 0x0814, // NON Norwegian Norway (Nynorsk)
  PLK_Polish__Poland                                            = 0x0415, // PLK Polish Poland
  BRAZIL_Portuguese__Brazil                                     = 0x0416, // BRAZIL Portuguese Brazil
  PTG_Portuguese__Portugal                                      = 0x0816, // PTG Portuguese Portugal
  ROM_Romanian__Romania                                         = 0x0418, // ROM Romanian Romania
  RUS_Russian__Russia                                           = 0x0419, // RUS Russian Russia
  HRV_Croatian__Croatia                                         = 0x041a, // HRV Croatian Croatia
  SRL_Serbian__Serbia__Latin                                    = 0x081a, // SRL Serbian Serbia (Latin)
  SRB_Serbian__Serbia__Cyrillic                                 = 0x0c1a, // SRB Serbian Serbia (Cyrillic)
  SKY_Slovak__Slovakia                                          = 0x041b, // SKY Slovak Slovakia
  SQI_Albanian__Albania                                         = 0x041c, // SQI Albanian Albania
  SVE_Swedish__Sweden                                           = 0x041d, // SVE Swedish Sweden
  SVF_Swedish__Finland                                          = 0x081d, // SVF Swedish Finland
  THA_Thai__Thailand                                            = 0x041e, // THA Thai Thailand
  TRK_Turkish__Turkey                                           = 0x041f, // TRK Turkish Turkey
  URP_Urdu__Pakistan                                            = 0x0420, // URP Urdu Pakistan
  IND_Indonesian__Indonesia                                     = 0x0421, // IND Indonesian Indonesia
  UKR_Ukrainian__Ukraine                                        = 0x0422, // UKR Ukrainian Ukraine
  BEL_Belarusian__Belarus                                       = 0x0423, // BEL Belarusian Belarus
  SLV_Slovene__Slovenia                                         = 0x0424, // SLV Slovene Slovenia
  ETI_Estonian__Estonia                                         = 0x0425, // ETI Estonian Estonia
  LVI_Latvian__Latvia                                           = 0x0426, // LVI Latvian Latvia
  LTH_Lithuanian__Lithuania                                     = 0x0427, // LTH Lithuanian Lithuania
  LTC_Classic_Lithuanian__Lithuania                             = 0x0827, // LTC Classic Lithuanian Lithuania
  FAR_Farsi__Iran                                               = 0x0429, // FAR Farsi Iran
  VIT_Vietnamese__Viet_Nam                                      = 0x042a, // VIT Vietnamese Viet Nam
  HYE_Armenian__Armenia                                         = 0x042b, // HYE Armenian Armenia
  AZE_Azeri__Azerbaijan__Latin                                  = 0x042c, // AZE Azeri Azerbaijan (Latin)
  AZE_Azeri__Azerbaijan__Cyrillic                               = 0x082c, // AZE Azeri Azerbaijan (Cyrillic)
  EUQ_Basque__Spain                                             = 0x042d, // EUQ Basque Spain
  MKI_Macedonian_FYROM__Former_Yugoslav_Republic_of_Macedonia   = 0x042f, // MKI Macedonian (FYROM) Former Yugoslav Republic of Macedonia
  AFK_Afrikaans__South_Africa                                   = 0x0436, // AFK Afrikaans South Africa
  KAT_Georgian__Georgia                                         = 0x0437, // KAT Georgian Georgia
  FOS_Faeroese__Faeroe_Islands                                  = 0x0438, // FOS Faeroese Faeroe Islands
  HIN_Hindi__India                                              = 0x0439, // HIN Hindi India
  MSL_Malay__Malaysia                                           = 0x043e, // MSL Malay Malaysia
  MSB_Malay__Brunei_Darussalam                                  = 0x083e, // MSB Malay Brunei Darussalam
  KAZ_Kazak__Kazakstan                                          = 0x043f, // KAZ Kazak Kazakstan
  SWK_Swahili__Kenya                                            = 0x0441, // SWK Swahili Kenya
  UZB_Uzbek__Uzbekistan__Latin                                  = 0x0443, // UZB Uzbek Uzbekistan (Latin)
  UZB_Uzbek__Uzbekistan__Cyrillic                               = 0x0843, // UZB Uzbek Uzbekistan (Cyrillic)
  TAT_Tatar__Tatarstan                                          = 0x0444, // TAT Tatar Tatarstan
  BEN_Bengali__India                                            = 0x0445, // BEN Bengali India
  PAN_Punjabi__India                                            = 0x0446, // PAN Punjabi India
  GUJ_Gujarati__India                                           = 0x0447, // GUJ Gujarati India
  ORI_Oriya__India                                              = 0x0448, // ORI Oriya India
  TAM_Tamil__India                                              = 0x0449, // TAM Tamil India
  TEL_Telugu__India                                             = 0x044a, // TEL Telugu India
  KAN_Kannada__India                                            = 0x044b, // KAN Kannada India
  MAL_Malayalam__India                                          = 0x044c, // MAL Malayalam India
  ASM_Assamese__India                                           = 0x044d, // ASM Assamese India
  MAR_Marathi__India                                            = 0x044e, // MAR Marathi India
  SAN_Sanskrit__India                                           = 0x044f, // SAN Sanskrit India
  KOK_Konkani__India                                            = 0x0457, // KOK Konkani India
  DEFAULT1_Language_Neutral                                     = 0x0000, // Language-Neutral
  DEFAULT2_Process_Default_Language                             = 0x0400, // Process Default Language
};